services:
  chrome:
#    image: kasmweb/chrome:1.18.0-rolling-weekly
    image: kasmweb/chrome:1.18.0
    # This maps host ports 6901, 6902, 6903, and 6904 to the 4 containers
#    ports:
#      - "6901-6904:6901"
    user: 0:0
    volumes:
      # We mount ONLY the Bookmarks file and the enable bookmarks file which is second one
      # Chrome will create the rest of the profile folders automatically inside the container.
      - ./Bookmarks:/home/kasm-user/.config/google-chrome/Default/Bookmarks:ro
      - ./bookmarks.json:/etc/opt/chrome/policies/managed/bookmarks.json:ro
    environment:
      - VNC_PW=studentpw
      - LAUNCH_URL=https://www.learningtree.com/mylearningtree
      # Adding incognito ensures they don't get "Chrome didn't shut down correctly" messages
      #- APP_ARGS=--incognito
    shm_size: 512m
    networks:
      - cloudflare

  nginx:
    image: nginx:latest
    ports:
      - "80:80"
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf:ro
    depends_on:
      - chrome
    networks:
      - cloudflare

networks:
  cloudflare:
    external: true
